#include <bits/stdc++.h>
using namespace std;
int b1, b2;
string s, s2;
char a;
int main(){
    cin >> s;
    for(int i=1; i<=s.size(); i++){
        s2.push_back(s[s.size()-i]);
    }
    if(s==s2){cout << "1" << endl;}
    else{
        for(int i=0; i<s.size(); i++){
            if(s[i]=='b'){break;}
            else{b1++;}
        }
        b2=b1+1;
        for(int i=b1+1; i<s.size(); i++){
            if(s[i]=='b'){break;}
            else{b2++;}
        }
        cout << b2-b1+1 << endl;
    }
    return 0;
}